OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000176OMNeT++IDE / INI editorpublic2010-06-24 11:232011-03-01 15:13
Reporterandras 
Assigned Totomi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target Version4.2Fixed in Version4.2b2 
Summary0000176: Obsolete error markers on ini files
DescriptionThe editor only validates ini files while they are open. When you close the editor, the error markers will stay on the ini file (and are visible in the Problems view, and also in Project Explorer as small overlay icons on the files).

This may result in obsolete error markers, if the errors "go away" while the ini editor is closed.
Steps To Reproduce1. Create an ini file with this content in the Inifile Editor:
  [General]
  network = Foo <-- "Error: network Foo not found"
2. Close the editor
3. Create a NED file with a network "Foo"
4. Ini file error will stay (see Problems view)

Or:

1. Create an ini file with this content in the Inifile Editor:
  [General]
  sim-time-limmmmit = 60s <-- typo results in "Invalikd config option" error
2. Close the editor
3. Fix the file outside the IDE (e.g. using vi)
4. Error still stays (even if you refresh the project in the IDE)

Ini file needs to be opened for the error to go away.
Additional InformationProposed solution:

option 1: closed ini files should not have error markers (remove error markers when the editor closes)

option 2: validate ini files in the background (performance impact!)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000402)
tomi (developer)
2011-03-01 15:13

option 1 implemented:

Markers are removed when the ini file has been closed.
Included ini files may have multiple markers for the same error, their message refers to the main ini file that was parsed/analyzed.

- Issue History
Date Modified Username Field Change
2010-06-24 11:23 andras New Issue
2010-06-24 11:27 andras Additional Information Updated
2010-06-24 13:52 andras Target Version => 4.2
2011-02-28 10:44 tomi Assigned To => tomi
2011-03-01 15:13 tomi Note Added: 0000402
2011-03-01 15:13 tomi Status new => resolved
2011-03-01 15:13 tomi Fixed in Version => 4.2b2
2011-03-01 15:13 tomi Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker